Update Test Case
curl --request POST \
--url https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/api/parea/v1/update_test_case/{dataset_id}/{test_case_id} \
--header 'Content-Type: application/json' \
--header 'x-user-id: <api-key>' \
--data '
{
"inputs": {},
"target": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/api/parea/v1/update_test_case/{dataset_id}/{test_case_id}"
payload = {
"inputs": {},
"target": "<string>",
"tags": ["<string>"]
}
headers = {
"x-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: {}, target: '<string>', tags: ['<string>']})
};
fetch('https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/api/parea/v1/update_test_case/{dataset_id}/{test_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
Update Test Case
Update the item/test case of the dataset with any given fields.
Args: dataset_id (int): ID of the dataset. test_case_id (int): ID of the item/test case. update_test_case_request (UpdateTestCasePublicRequestSchema): Request body containing the fields to update.
POST
/
api
/
parea
/
v1
/
update_test_case
/
{dataset_id}
/
{test_case_id}
Update Test Case
Authorizations
APIKeyHeaderAPIKeyHeaderAPIKeyHeader
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I

